package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :动态设置时间与物料相关的配置
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-22
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_MATERIAL_SET_TIME")
@Api("物料设置时间")
public class MaterialSetTime extends BaseAPS {
    @Column(name="RES_CODE")
    @ApiParam(value ="资源编码")
    private String resCode;

    @Column(name="PREV_MATERIAL")
    @ApiParam(value ="前物料编码")
    private String prevMaterial;

    @Column(name="POST_MATERIAL")
    @ApiParam(value ="后物料编码")
    private String postMaterial;

    @Column(name="TIME")
    @ApiParam(value ="设置时间")
    private String time;

    @Column(name="PRIORITY")
    @ApiParam(value ="优先级")
    private int priority;
}
