package cn.estsh.i3plus.pojo.aps.enums;

/**
 * @Description :字段的编辑类型
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
public enum EDIT_TYPE {
    NONE,
    BOOLEAN,    // 布尔, 开关编辑
    CHAR,       // 字符, 文本框编辑
    SHORT,      // 短整型, 数字编辑
    INTEGER,    // 整型, 数字编辑
    LONG,       // 长整型, 数字编辑
    DOUBLE,     // 浮点型, 文本框编辑
    DATE,       // 日期类型(2019-09-16)
    TIME,       // 时间类型(17:35:30)
    DATE_TIME,   // 日期时间类型(2019-09-16 17:35:30)
    DURATION,   // 时间段(1H),文本框编辑
    ENUM,       // 枚举,下拉选择
    MULTI_ENUM,  // 多选枚举， 下拉多选
    STRING,     // 字符串，文本框编辑
    OBJECT,     // 关联对象，下来选择关联对象的Code值
    LIST,        // 对象集合，不可编辑。
    MULTI_OBJECT // 多选对象，弹出框选择，可以选择全部对象，以*表示选择全部
}
