package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\16 14:17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PRODUCE_CTGY_PICTURE")
@Api("产品类型图片表")
public class MesProduceCtgyPicture extends BaseBean {

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品类型代码")
    private String produceCategoryCode;

    @Column(name = "SIDE_LOCATION")
    @ApiParam("面位")
    private String sideLocation;

    @Column(name = "PICTURE_URL")
    @ApiParam("图片URL")
    private String pictureUrl;

    @Column(name = "PICTURE_NAME")
    @ApiParam("图片名称")
    private String pictureName;

    @Column(name = "FILE_SIZE")
    @ApiParam("FILE_SIZE")
    private String fileSize;

    @Column(name = "FILE_TYPE_ID")
    @ApiParam("FILE_TYPE_ID")
    private String fileTypeId;

    @Column(name = "FILE_TYPE_NAME")
    @ApiParam("FILE_TYPE_NAME")
    private String fileTypeName;
}
